Bug 1008300 - Review Request: perl-Apache-LogFormat-Compiler - Compile a log format string to perl-code
Review Request: perl-Apache-LogFormat-Compiler - Compile a log format string...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn 'besser82' Esser
Fedora Extras Quality Assurance
:
Depends On: 1009094
Blocks: 1009324
  Show dependency treegraph
 
Reported: 2013-09-16 02:07 EDT by Ralf Corsepius
Modified: 2013-09-26 20:46 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Apache-LogFormat-Compiler-0.13-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 20:22:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2013-09-16 02:07:17 EDT
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-Apache-LogFormat-Compiler.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-Apache-LogFormat-Compiler-0.13-1.fc21.src.rpm
Description: 
Compile a log format string to perl-code. For faster generation of
access_log lines.

Fedora Account System Username: corsepiu

This package is a new required dependency of perl-Plack >= 1.0022
Comment 1 Björn 'besser82' Esser 2013-09-16 02:26:42 EDT
Hi Ralf!

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

---> Isn't this obsoleted in recent Fedora-releases and el6?  I think it will be needed on el5, only, but there are no other el5-specific bits, like BuildRoot or rm -rf %{buildroot} inside your spec?!?

I'll take a review on this. :)

Cheers,
  Björn
Comment 2 Björn 'besser82' Esser 2013-09-16 02:51:44 EDT
Package is fine.  Forget about my previous question; just saw the MUST inside the Perl-pkg-guidelines.  ;)

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 3 files have unknown license. Detailed output of
     licensecheck in /home/besser82/shared/fedora/review/1008300-perl-Apache-
     LogFormat-Compiler/licensecheck.txt

     ---> License is fine

[-]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.

     ---> Those two different licenses are actually the "Perl-License"

[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/perl5/vendor_perl/Apache(perl-Apache-DBI, ocsinventory-server,
     perl-Apache-LogRegex, perl-Apache-Session, perl-SOAP-Lite, perl-Apache-
     DBI-Cache, perl-Apache-Htpasswd, perl-Apache-RPC, perl-Frontier-RPC,
     perl-Maypole)

     ---> it seems to be intentional to have this dir owned by all
          perl-Apache-* pkgs.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

     ---> Package is noarch

[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: perl-Apache-LogFormat-Compiler-0.13-1.fc21.noarch.rpm
          perl-Apache-LogFormat-Compiler-0.13-1.fc21.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-Apache-LogFormat-Compiler
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
perl-Apache-LogFormat-Compiler (rpmlib, GLIBC filtered):
    perl
    perl(:MODULE_COMPAT_5.18.1)
    perl(Carp)
    perl(POSIX)
    perl(Time::Local)
    perl(strict)
    perl(warnings)



Provides
--------
perl-Apache-LogFormat-Compiler:
    perl(Apache::LogFormat::Compiler)
    perl-Apache-LogFormat-Compiler



Source checksums
----------------
http://www.cpan.org/authors/id/K/KA/KAZEBURO/Apache-LogFormat-Compiler-0.13.tar.gz :
  CHECKSUM(SHA256) this package     : b4185125501e288efbc664da8b723ff86f0b69eb57d3c7c69c7d2069aab0efb0
  CHECKSUM(SHA256) upstream package : b4185125501e288efbc664da8b723ff86f0b69eb57d3c7c69c7d2069aab0efb0


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1008300
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Perl
Disabled plugins: Java, C/C++, Python, SugarActivity, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

#####

APPROVED!!!
Comment 3 Ralf Corsepius 2013-09-16 22:12:13 EDT
Thanks for the review, Björn!


New Package SCM Request
=======================
Package Name: perl-Apache-LogFormat-Compiler
Short Description:  Compile a log format string to perl-code
Owners: corsepiu
Branches: f20 f19 f18
InitialCC: perl-sig
Comment 4 Gwyn Ciesla 2013-09-17 08:42:46 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-09-17 22:23:18 EDT
perl-Apache-LogFormat-Compiler-0.13-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Apache-LogFormat-Compiler-0.13-1.fc19
Comment 6 Fedora Update System 2013-09-17 22:23:29 EDT
perl-Apache-LogFormat-Compiler-0.13-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Apache-LogFormat-Compiler-0.13-1.fc20
Comment 7 Fedora Update System 2013-09-17 22:23:46 EDT
perl-Apache-LogFormat-Compiler-0.13-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Apache-LogFormat-Compiler-0.13-1.fc18
Comment 8 Fedora Update System 2013-09-18 08:57:47 EDT
perl-Apache-LogFormat-Compiler-0.13-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 9 Fedora Update System 2013-09-23 20:22:05 EDT
perl-Apache-LogFormat-Compiler-0.13-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 10 Fedora Update System 2013-09-26 20:37:12 EDT
perl-Apache-LogFormat-Compiler-0.13-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Fedora Update System 2013-09-26 20:46:13 EDT
perl-Apache-LogFormat-Compiler-0.13-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.